Package: grails.core.support.proxy

## [Java] Class DefaultProxyHandler

- grails.core.support.proxy.DefaultProxyHandler

- All Implemented Interfaces and Traits:
    ProxyHandler

      public class DefaultProxyHandler
      extends java.lang.Object
      implements ProxyHandler

  Trivial default implementation that always returns true and the object.

  Authors:
    Graeme Rocher
  Since:
    1.2.2

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `initialize(java.lang.Object o)`
    `` | `public boolean` | `isInitialized(java.lang.Object o)`
    `` | `public boolean` | `isInitialized(java.lang.Object obj, java.lang.String associationName)`
    `` | `public boolean` | `isProxy(java.lang.Object o)`
    `` | `public java.lang.Object` | `unwrapIfProxy(java.lang.Object instance)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void initialize(java.lang.Object o)

    - #### public boolean isInitialized(java.lang.Object o)

    - #### public boolean isInitialized(java.lang.Object obj, java.lang.String associationName)

    - #### public boolean isProxy(java.lang.Object o)

    - #### public java.lang.Object unwrapIfProxy(java.lang.Object instance)